AWSTemplateFormatVersion: "2010-09-09"
Description: Provision Products
Resources:
  NoncompliantProduct:
    Type: AWS::ServiceCatalog::CloudFormationProvisionedProduct
    Properties:
      ProvisionedProductName: FailingAccountConfig
      ProductName: AccountConfig
      ProvisioningArtifactName: 1.0.0
      ProvisioningParameters:
        - Key: Prefix
          Value: fail
        - Key: Development
          Value: 123456789012
        - Key: Production
          Value: 123456789012

  CompliantProduct:
    Type: AWS::ServiceCatalog::CloudFormationProvisionedProduct
    Properties:
      ProvisionedProductName: PassingAccountConfig
      ProductName: AccountConfig
      ProvisioningArtifactName: 1.0.0
      ProvisioningParameters:
        - Key: Prefix
          Value: pass
        - Key: Development
          Value: 123456789012
        - Key: Production
          Value: 678901212345
